Skip to main content
GET
/
employer_benefit_line_items
/
{employer_benefit_line_item}
Retrieve an employer benefit line item
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/employer_benefit_line_items/{employer_benefit_line_item} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<id>",
  "object": "employer_benefit_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "line_item_type": "employer_benefit",
    "is_managed": false,
    "amount": 35,
    "custom_amount": null,
    "managed_amount": 35,
    "employer_benefit_type": {
      "id": "<id>",
      "object": "employer_benefit_type",
      "data": {
        "type": "health",
        "label": "Health"
      },
      "links": {
        "self": "/employer_benefit_types/health"
      }
    },
    "recurrence": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "remittance_account_id": null,
    "remittance_account": null,
    "business_preset": null,
    "source_adjustment": null,
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "component_settings": {
      "attributes_locked": false
    },
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/employer_benefit_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employer_benefit_line_item
string
required

Query Parameters

expand
enum<string>[]
Available options:
business_preset,
custom_expense_accounting_code,
custom_liability_accounting_code,
custom_tag_assignment,
expense_accounting_code,
liability_accounting_code,
managed_expense_accounting_code,
managed_liability_accounting_code,
managed_tag_assignment,
pay_stub,
recurrence,
remittance_account,
source_adjustment,
tag_assignment,
tag_assignment_amounts

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("employer_benefit_line_item").

data
Default · object